nxt

## Class FxtDistribution

- java.lang.Object
- - nxt.FxtDistribution

- All Implemented Interfaces:
    Listener<Block>

      public final class FxtDistribution
      extends java.lang.Object
      implements Listener<Block>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<java.lang.Long>` | `ardorSnapshotAssets`
    `static long` | `BITSWIFT_ASSET_ID`
    `static long` | `BITSWIFT_SHAREDROP_ACCOUNT`
    `static long` | `COMJNSXT_ASSET_ID`
    `static int` | `DISTRIBUTION_END`
    `static int` | `DISTRIBUTION_FREQUENCY`
    `static int` | `DISTRIBUTION_START`
    `static int` | `DISTRIBUTION_STEP`
    `static long` | `FXT_ASSET_ID`
    `static long` | `FXT_ISSUER_ID`
    `static long` | `JANUS_ASSET_ID`
    `static long` | `JANUSXT_ASSET_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FxtDistribution()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notify(Block block)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISTRIBUTION_END

          public static final int DISTRIBUTION_END

    - #### DISTRIBUTION_START

          public static final int DISTRIBUTION_START

    - #### DISTRIBUTION_FREQUENCY

          public static final int DISTRIBUTION_FREQUENCY

      See Also:
        Constant Field Values

    - #### DISTRIBUTION_STEP

          public static final int DISTRIBUTION_STEP

      See Also:
        Constant Field Values

    - #### FXT_ASSET_ID

          public static final long FXT_ASSET_ID

    - #### FXT_ISSUER_ID

          public static final long FXT_ISSUER_ID

    - #### BITSWIFT_ASSET_ID

          public static final long BITSWIFT_ASSET_ID

    - #### BITSWIFT_SHAREDROP_ACCOUNT

          public static final long BITSWIFT_SHAREDROP_ACCOUNT

    - #### JANUS_ASSET_ID

          public static final long JANUS_ASSET_ID

    - #### JANUSXT_ASSET_ID

          public static final long JANUSXT_ASSET_ID

    - #### COMJNSXT_ASSET_ID

          public static final long COMJNSXT_ASSET_ID

    - #### ardorSnapshotAssets

          public static final java.util.Set<java.lang.Long> ardorSnapshotAssets

  - ### Constructor Detail

    - #### FxtDistribution

          public FxtDistribution()

  - ### Method Detail

    - #### notify

          public void notify(Block block)

      Specified by:
        `notify` in interface `Listener<Block>`